
<!-- Created by WoWNorway -->
<!-- Author: Rinor/Vladinator -->
<!-- www.wownorway.tk -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes"/>
  <xsl:template match="/">
    <html>
    <head>
    <META HTTP-EQUIV="Pragma" CONTENT="no-cache"/>
    <META HTTP-EQUIV="Cache-Control" CONTENT="no-cache"/>
    <META http-equiv="Content-Type" content="text/html; charset=windows-1251"/>
    <META http-equiv="content-language" content="en"/>
    <title>Online Players</title>
    </head>
    <body bgcolor="#285078" link="#0000FF" vlink="#0000FF" alink="#0000FF">
      <xsl:apply-templates/>
    </body>
    </html>
  </xsl:template>

  <xsl:template match="serverload">
    <table align="center" width="100%" border="0">
    <tr>
      <td> </td>
      <td><font face="Tahoma" color="white" size="1"><b>Load</b></font></td>
      <td align="center"><font face="Tahoma" color="white" size="1"><b>Total Loops</b></font></td>
      <td><font face="Tahoma" color="white" size="1"><b>Total Time</b></font></td>
      <td><font face="Tahoma" color="white" size="1"><b>Load</b></font></td>
    </tr>
      <xsl:apply-templates/>
    </table><br/>
  </xsl:template>
  <xsl:template match="network">
    <tr>
    <td><font face="Tahoma" color="white" size="1"><b>Network</b></font></td>

      <xsl:apply-templates/>
    </tr>
  </xsl:template>
  <xsl:template match="world">
    <tr>
    <td><font face="Tahoma" color="white" size="1"><b>World</b></font></td>
      <xsl:apply-templates/>
    </tr>

  </xsl:template>
  <xsl:template match="configsleep">
    <td>
	<font face="Tahoma" color="lightgray" size="1">
      <xsl:apply-templates/>
	</font>
    </td>
  </xsl:template>
  <xsl:template match="loops">
    <td align="center">
	<font face="Tahoma" color="lightgray" size="1">
      <xsl:apply-templates/>
	</font>
    </td>
  </xsl:template>
  <xsl:template match="totaltime">
    <td>
	<font face="Tahoma" color="lightgray" size="1">
      <xsl:apply-templates/>
	</font>
    </td>
  </xsl:template>
  <xsl:template match="load">
    <td>
	<font face="Tahoma" color="lightgray" size="1">
      <xsl:apply-templates/>
	</font>
    </td>
  </xsl:template>


  <xsl:template match="players">
      <center>
	<b>
	<font face="Tahoma">
	<a><font color="YELLOW" size="2"><xsl:value-of select="count(player)"/></font></a><a><font color="ORANGE" size="2"> players online right now!</font></a>
	</font>
	</b>
      </center><br />
    <table align="center" width="100%" border="0">

      <tr>
        <td><font face="Tahoma" color="white" size="1"><b>Name</b></font></td>
        <td><font face="Tahoma" color="white" size="1"><b>Race</b></font></td>
        <td><font face="Tahoma" color="white" size="1"><b>Class</b></font></td>
        <td><font face="Tahoma" color="white" size="1"><b>Level</b></font></td>
        <td><font face="Tahoma" color="white" size="1"><b>Located</b></font></td>
        <td><font face="Tahoma" color="white" size="1"><b>Zone</b></font></td>
        <td><font face="Tahoma" color="white" size="1"><b>Ping</b></font></td>
      </tr>
      <xsl:apply-templates/>
      <tr>
      </tr>
    </table>
  </xsl:template>

  <xsl:template match="player">
    <tr>
      <xsl:apply-templates/>
    </tr>
  </xsl:template>
  <xsl:template match="plevel">
  </xsl:template>
  <xsl:template match="name">

    <td width="22%">

      <xsl:if test="../plevel=0">
        <font face="Tahoma" color="#000066" size="2" onclick="javascript:alert('This is a normal player.');">
          <xsl:apply-templates/>
        </font>
      </xsl:if>

      <xsl:if test="../plevel=1">
        <b><font face="Tahoma" color="blue" size="2" onclick="javascript:alert('This player is on PLEVEL=1\nThis is only a symbol that the player is an VIP.\nThe player dont have any special rights.\nHe is just like an normal player.');">
          <xsl:apply-templates/>
        </font></b>
      </xsl:if>

      <xsl:if test="../plevel=2">
        <b><font face="Tahoma" color="blue" size="2" onclick="javascript:alert('This player is on PLEVEL=2\nThis player is an Supporter GM.\nThis player can take bug repports from in-game people, and submit them to a Moderator.');">
          <xsl:apply-templates/>
        </font></b>
      </xsl:if>

      <xsl:if test="../plevel=3">
        <b><font face="Tahoma" color="orange" size="2" onclick="javascript:alert('This player is on PLEVEL=3\nThis player is a small in-game Moderator.\nThis player is able to help you in different situations.');">
          <xsl:apply-templates/>
        </font></b>
      </xsl:if>

      <xsl:if test="../plevel=4">
        <b><font face="Tahoma" color="orange" size="2" onclick="javascript:alert('This player is on PLEVEL=4\nThis player is an in-game Moderator, also known as an Spawner.\nThis player can help you if you are stuck, etc.');">
          <xsl:apply-templates/>
        </font></b>
      </xsl:if>

      <xsl:if test="../plevel=5">
        <b><font face="Tahoma" color="purple" size="2" onclick="javascript:alert('This player is on PLEVEL=5\nThis player has some major rights in-game.\nThis is a high level realm Moderator.');">
          <xsl:apply-templates/>
        </font></b>
      </xsl:if>

      <xsl:if test="../plevel=6">
        <b><font face="Tahoma" color="red" size="2" onclick="javascript:alert('This player is on PLEVEL=6\nThat means that he has all rights in-game.\nOr in other words, he is an realm Administrator.');">
          <xsl:apply-templates/>
        </font></b>
      </xsl:if>

    </td>

  </xsl:template>
  <xsl:template match="race">
    <td width="13%">
	<font face="Tahoma" color="lightgray" size="1">
      <xsl:if test="node()=1">Human</xsl:if>
      <xsl:if test="node()=2">Orc</xsl:if>
      <xsl:if test="node()=3">Dwarf</xsl:if>
      <xsl:if test="node()=4">Night Elf</xsl:if>

      <xsl:if test="node()=5">Undead</xsl:if>
      <xsl:if test="node()=6">Tauren</xsl:if>
      <xsl:if test="node()=7">Gnome</xsl:if>
      <xsl:if test="node()=8">Troll</xsl:if>
	</font>
    </td>
  </xsl:template>
  <xsl:template match="class">

    <td width="10%">
	<font face="Tahoma" color="lightgray" size="1">
      <xsl:if test="node()=1">Warrior</xsl:if>
      <xsl:if test="node()=2">Paladin</xsl:if>
      <xsl:if test="node()=3">Hunter</xsl:if>
      <xsl:if test="node()=4">Rogue</xsl:if>
      <xsl:if test="node()=5">Priest</xsl:if>

      <xsl:if test="node()=7">Shaman</xsl:if>
      <xsl:if test="node()=8">Mage</xsl:if>
      <xsl:if test="node()=9">Warlock</xsl:if>
      <xsl:if test="node()=11">Druid</xsl:if>
	</font>
    </td>
  </xsl:template>
  <xsl:template match="level">

    <td width="8%" align="center">
	<font face="Tahoma" color="lightgray" size="1">
       <xsl:apply-templates/>
	</font>
    </td>
  </xsl:template>
  <xsl:template match="map">
    <td width="20%" align="left">
      <font face="Tahoma" color="lightgray" size="1">
      <xsl:if test="node()=0">Azeroth</xsl:if>
      <xsl:if test="node()=1">Kalimdor</xsl:if>

      <xsl:if test="node()=13">Test</xsl:if>
      <xsl:if test="node()=25">Scott Test</xsl:if>
      <xsl:if test="node()=29">Cash Test</xsl:if>
      <xsl:if test="node()=30">PVP Zone 01</xsl:if>
      <xsl:if test="node()=33">Shadowfang</xsl:if>
      <xsl:if test="node()=34">Stormwind Jail</xsl:if>

      <xsl:if test="node()=35">Stormwind Prizon</xsl:if>
      <xsl:if test="node()=36">Deadmines Instance</xsl:if>
      <xsl:if test="node()=37">PVP Zone 02</xsl:if>
      <xsl:if test="node()=42">Collin's Test</xsl:if>
      <xsl:if test="node()=43">Wailing Caverns Instance</xsl:if>
      <xsl:if test="node()=44">Monastery Interior</xsl:if>

      <xsl:if test="node()=47">Razorfen Kraul Instance</xsl:if>
      <xsl:if test="node()=48">Blackfathom Instance</xsl:if>
      <xsl:if test="node()=70">Uldaman Instance</xsl:if>
      <xsl:if test="node()=90">Gnomeragon Instance</xsl:if>
      <xsl:if test="node()=109">Sunken Temple Instance</xsl:if>
      <xsl:if test="node()=129">Razorfen Downs Instance</xsl:if>

      <xsl:if test="node()=169">Emerald Dream</xsl:if>
      <xsl:if test="node()=189">Monastery Instances</xsl:if>
      <xsl:if test="node()=209">Zul'farrak</xsl:if>
      <xsl:if test="node()=229">Blackrock Upper Instance</xsl:if>
      <xsl:if test="node()=230">Blackrock Lower Instance</xsl:if>
      <xsl:if test="node()=249">Onyxias Lair Instance</xsl:if>

      <xsl:if test="node()=269">Caverns of Time</xsl:if>
      <xsl:if test="node()=289">School of Necromancy</xsl:if>
      <xsl:if test="node()=309">Zul'gurub</xsl:if>
      <xsl:if test="node()=329">Stratholme</xsl:if>
      <xsl:if test="node()=369">Deeprun Tram</xsl:if>
      <xsl:if test="node()=389">Orgrimmar Instance</xsl:if>

      <xsl:if test="node()=349">Mauradon</xsl:if>
      <xsl:if test="node()=409">Molten Core</xsl:if>
      <xsl:if test="node()=429">Dire Maul</xsl:if>
      <xsl:if test="node()=449">Alliance PVP Barracks</xsl:if>
      <xsl:if test="node()=450">Horde PVP Barracks</xsl:if>
      <xsl:if test="node()=451">Development Land</xsl:if>

      <xsl:if test="node()=469">Blackwing Lair</xsl:if>

     </font>
    </td>
  </xsl:template>
  <xsl:template match="zone">
    <td width="20%">
      <font face="Tahoma" color="lightgray" size="1">
      <xsl:if test="not(../map=0 or ../map=1)">
        Dungeon
      </xsl:if>
      <xsl:if test="../map=0 or ../map=1">

        <xsl:if test="node()=406">Stonetalon Mountains</xsl:if>
        <xsl:if test="node()=15">Dustwallow</xsl:if>
        <xsl:if test="node()=1377">Silithus</xsl:if>
        <xsl:if test="node()=1519">Stormwind</xsl:if>
        <xsl:if test="node()=1637">Orgrimmar</xsl:if>
        <xsl:if test="node()=1497">Undercity</xsl:if>

        <xsl:if test="node()=2597">Alterac Valley</xsl:if>
        <xsl:if test="node()=357">Feralas</xsl:if>
        <xsl:if test="node()=440">Tanaris</xsl:if>
        <xsl:if test="node()=14">Durotar</xsl:if>
        <xsl:if test="node()=215">Mulgore</xsl:if>
        <xsl:if test="node()=17">Barrens</xsl:if>

        <xsl:if test="node()=36">Alterac Mountains</xsl:if>
        <xsl:if test="node()=45">Arathi</xsl:if>
        <xsl:if test="node()=3">Badlands</xsl:if>
        <xsl:if test="node()=4">Blasted Lands</xsl:if>
        <xsl:if test="node()=85">Tirisfal</xsl:if>
        <xsl:if test="node()=130">Silverpine</xsl:if>

        <xsl:if test="node()=28">Western Plaguelands</xsl:if>
        <xsl:if test="node()=139">Eastern Plaguelands</xsl:if>
        <xsl:if test="node()=267">Hillsbrad</xsl:if>
        <xsl:if test="node()=47">Hinterlands</xsl:if>
        <xsl:if test="node()=1">Dun Morogh</xsl:if>
        <xsl:if test="node()=51">Searing Gorge</xsl:if>

        <xsl:if test="node()=46">Burning Steppes</xsl:if>
        <xsl:if test="node()=12">Elwynn Forest</xsl:if>
        <xsl:if test="node()=41">Deadwind Pass</xsl:if>
        <xsl:if test="node()=10">Duskwood</xsl:if>
        <xsl:if test="node()=38">Loch Modan</xsl:if>
        <xsl:if test="node()=44">Redridge</xsl:if>

        <xsl:if test="node()=33">Stranglethorn</xsl:if>
        <xsl:if test="node()=8">Swamp Of Sorrows</xsl:if>
        <xsl:if test="node()=40">Westfall</xsl:if>
        <xsl:if test="node()=11">Wetlands</xsl:if>
        <xsl:if test="node()=141">Teldrassil</xsl:if>
        <xsl:if test="node()=148">Darkshore</xsl:if>

        <xsl:if test="node()=331">Ashenvale</xsl:if>
        <xsl:if test="node()=405">Desolace</xsl:if>
        <xsl:if test="node()=400">Thousand Needles</xsl:if>
        <xsl:if test="node()=16">Aszhara</xsl:if>
        <xsl:if test="node()=361">Felwood</xsl:if>
        <xsl:if test="node()=616">Hyjal</xsl:if>

        <xsl:if test="node()=618">Winterspring</xsl:if>
        <xsl:if test="node()=1537">Ironforge</xsl:if>
        <xsl:if test="node()=1657">Darnassus</xsl:if>
        <xsl:if test="node()=490">Ungoro Crater</xsl:if>
        <xsl:if test="node()=493">Moonglade</xsl:if>
        <xsl:if test="node()=1638">Thunder Bluff</xsl:if>

        <xsl:if test="node()=876">GM Island</xsl:if>

      </xsl:if>
    </font>
    </td>
  </xsl:template>
  <xsl:template match="ping">
    <td align="right">
	<font face="Tahoma" color="lightgreen" size="1">
      <xsl:apply-templates/>
	</font>
    </td>
  </xsl:template>
</xsl:stylesheet>